RubyGems Navigation menu

llip 0.2.0

The LL(k) Interpreted Parser (llip) is an automated tool to easily create an LL(k) parser and the related scanner without the need of generating anything. Everything is done on the fly through a simple DSL. == A Little comparrison against other tools Tools like JavaCC, ANTLR, Coco/R and others use an external description file which they compile into the destination code. This file it's usually written using a complex product related language. Using Ruby metaprogramming, a parser generator can go one step further. In fact, the llip gem gives you the possibility to write a parser writing only Ruby code.

Gemfile
          gem 'llip', '~> 0.2.0'
  
  
  
  
  
  
  

install
          gem install llip
  
  
  
  
  
  
  

Authors:

  • Matteo Collina

Owners:

Total downloads 3,013

For this version 1,557

Required Ruby Version: None

Links:

Versions:

  1. 0.2.0 - July 16, 2007 (33.5 KB)
  2. 0.1.0 - June 8, 2007 (32.5 KB)

Runtime Dependencies: